* {
  box-sizing: border-box;
}
:root {
  --primary-color: rgb(248, 248, 248);
  --secondary-color: rgb(109, 131, 242);
  --dark-color: rgb(56, 56, 56);
  --background-1: rgb(106, 152, 240);
  --background-2: rgb(73, 97, 220);
  --form-color: rgb(248, 248, 248);
  --link-hover: blue;
  --form-black: rgb(37, 37, 37);
}

html {
  line-height: 1.15;
}
body {
  overflow-x: hidden;
  background-color: var(--primary-color);
  margin: 0;
}
body,
html {
  height: 100%;
  font-size: calc(12px + 0.4vw);
  font-family: Montserrat, sans-serif;
}
#focus-wrapper {
  outline: none;
}
.navbar {
  position: fixed;
  top: 0px;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  height: 60px;
  width: 100vw;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  z-index: 1000;
}
div {
  display: block;
}
.inner-navbar {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  align-items: center;
}
.bar {
  margin: auto;
  width: 80%;
}
.navbar .logo {
  margin-right: auto;
  cursor: pointer;
}

.navbar .logo img {
  flex-basis: 100px;
  max-width: 35px;
}
a {
  color: var(--secondary-color);
  text-decoration: none;
  background-color: transparent;
}
img {
  border-style: none;
}
.outer-list {
  margin: 0px;
  list-style: none;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  transition: all 0.2s ease 0s;
}
ul {
  list-style: none;
  padding: 0px;
  font-size: 14px;
  line-height: 150%;
}
.inner-list {
  margin-left: 30px;
  display: inline-block;
  text-align: center;
}

/* Style the links on hover */
.inner-list a:hover {
  color: var(--link-hover); /* Change link color on hover */
  font-size: 1.3em; /* Increase font size by 1.3 times on hover */
}
.toggle-switch .button.r,
.toggle-switch .button.r .layer {
  border-radius: 100px;
}
.toggle-switch .button {
  position: relative;
  top: 50%;
  width: 74px;
  height: 30px;
  overflow: hidden;
}
.toggle-switch input[type='checkbox'] {
  height: 100%;
  width: 100%;
  visibility: visible;
}
.toggle-switch .checkbox {
  position: relative;
  padding: 0px;
  margin: 0px;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
  width: 100% !important;
  height: 100% !important;
}
[type='checkbox'],
[type='radio'] {
  box-sizing: border-box;
  padding: 0;
}
button,
input {
  overflow: visible;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}
.toggle-switch #button-1 .knobs,
.toggle-switch #button-1 .knobs::before,
.toggle-switch #button-1 .layer {
  transition: all 0.2s ease 0s;
}
.toggle-switch .knobs {
  z-index: 2;
}
.toggle-switch .button-cover,
.toggle-switch .knobs,
.toggle-switch .layer {
  position: absolute;
  inset: 0px;
}
.toggle-switch #button-1 .knobs::before {
  content: 'DARK';
  position: absolute;
  top: 4px;
  left: 4px;
  width: 30px;
  height: 5px;
  color: rgb(255, 255, 255);
  font-size: 8px;
  font-weight: bold;
  text-align: center;
  line-height: 0.5;
  padding: 9px 4px;
  background-color: var(--secondary-color);
  border-radius: 30px;
  transition: all 0.2s cubic-bezier(0.18, 0.89, 0.35, 1.15) 0s;
}
.toggle-switch #button-1 .checkbox:checked + .knobs::before {
  content: 'LIGHT';
  left: 32px;
  background-color: rgb(109, 131, 242);
}
.toggle-switch .layer {
  width: 100%;
  transition: all 0.2s ease 0s;
  z-index: 1;
  background-color: rgb(199, 208, 255);
}
main {
  display: block;
}
.main {
  margin-top: 100px;
  margin-bottom: 50px;
  min-height: calc(100vh - 125px);
}
.main-container {
  margin: auto;
  width: 80%;
}
.home {
  margin-bottom: 100px;
  margin-top: 125px;
}
.home .svg-rect {
  width: 40%;
  position: absolute;
  top: 50px;
  right: 0px;
  z-index: -1;
}
.inner-home {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  justify-content: space-between;
  height: calc(80vh - 100px);
  margin-bottom: 100px;
}
.inner-home .home-text {
  animation: 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) 0s 1 normal forwards
    running dzpZbq;
  z-index: 1;
}
.inner-home p {
  font-family: Montserrat, sans-serif;
}
p {
  font-size: 16px;
  margin: 0px;
  line-height: 150%;
  font-family: Karla, sans-serif;
  color: var(--dark-color);
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 10px 0px;
  line-height: 140%;
  color: var(--dark-color);
}
.inner-home h1 {
  margin: -4px 0px;
  font-size: 2.5rem;
  font-weight: 900;
  /* Set initial state of the transition */
  transition: font-size 0.2s ease;
}

/* Add a new rule to modify the h1 on hover */
.inner-home h1:hover {
  font-size: 3rem; /* Adjust the font size as you desire for the hover effect */
}
.inner-home .adjust {
  font-size: 1.06rem;
}
.inner-home .home-CTA {
  width: max-content;
}
.inner-home .home-text a.cta {
  display: block;
  margin: 30px 0px;
}
.inner-home .home-text a.cta:hover,
.project-links a:hover,
.dxFdrJ:hover,
.navbar .logo img:hover {
  transform: scale(1.3);
  /* Add transition for smooth scaling effect */
  transition: transform 0.3s ease;
}
.love-card:hover,
.code-container:hover,
.quote-card:hover {
  transform: scale(1.1);
  /* Add transition for smooth scaling effect */
  transition: transform 0.3s ease;
}
.resume-btn-container {
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  color: rgb(248, 248, 248);
  border: none;
  cursor: pointer;
  transition: all 0.2s ease 0s;
  width: auto;
  height: auto;
  font-size: 12px;
  margin: 0px;
  padding: 12px;
  border-radius: 5px;
}
.inner-home .home-social {
  color: var(--secondary-color);
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  font-size: 24px;
}
.code-container {
  position: relative;
  animation: 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) 0s 1 normal forwards
    running dzpZbq;
}
.code-inner {
  padding: 30px 35px;
  border-radius: 10px;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
}
.code-inner pre {
  font-size: 0.8rem;
  font-family: Montserrat, sans-serif;
  color: var(--secondary-color);
}
.color-box {
  position: absolute;
  bottom: -40px;
  left: -90px;
  display: flex;
  justify-content: space-around;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  padding: 8px;
  border-radius: 5px;
}
.inner-color-box {
  width: 40px;
  height: 40px;
  margin: 3px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.2s ease 0s;
  position: relative;
}
.inner-color-box::before {
  pointer-events: none;
  position: absolute;
  text-align: center;
  content: 'Copied';
  opacity: 0;
  width: 50px;
  bottom: -130%;
  left: 50%;
  padding: 10px;
  border-radius: 10px;
  color: inherit;
  background: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  font-size: 12px;
  transition: all 0.3s ease 0s;
  transform: translateX(-50%);
}
.h2-about {
  margin: 100px auto;
  font-size: 1.5rem;
  font-weight: 900;
  color: var(--secondary-color);
  text-align: center;
  letter-spacing: 1px;
}

.love-container {
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  align-items: center;
  flex-wrap: wrap;
}
.love-card {
  margin: 10px;
  flex: 1 1 200px;
  max-width: 300px;
  height: 300px;
  padding: 20px;
  display: flex;
  justify-content: space-evenly;
  -webkit-box-align: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  border-radius: 10px;
}
.love-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100px;
  width: 100px;
  border: 1px solid black;
  border-radius: 50%;
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  color: rgb(248, 248, 248);
}
.love-h3 {
  font-weight: normal;
  color: var(--secondary-color);
}
.love-p {
  font-size: 14px;
}
#about {
  margin-bottom: 200px;
}
.about-h2 {
  margin: 100px auto;
  font-size: 1.5rem;
  font-weight: 900;
  color: var(--secondary-color);
  text-align: center;
  letter-spacing: 1px;
}
.about-container {
  position: absolute;
  left: 0px;
  width: 100%;
  height: 800px;
  min-height: 500px;
  background: var(--background-1) 0%;
  transform: skewY(-3deg);
  z-index: -1;
  pointer-events: none;
}
.article {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 200px;
}

.avatar {
  width: 230px;
  height: 230px;
  border-radius: 50%;
  border: 5px solid var(--primary-color);
  overflow: hidden;
  margin: 0;
  background-color: var(--primary-color);
  transition: transform 0.3s ease; /* Add transition for smooth scaling */
}

/* Add a new rule to scale the avatar on hover */
.avatar:hover {
  transform: scale(1.3); /* Increase the size by 1.3 times on hover */
}
.avatar div {
  position: relative;
  overflow: hidden;
}
.avatar div div {
  width: 100%;
  padding-bottom: 100%;
}
.avatar div picture img {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
  opacity: 2;
  transition: opacity 500ms ease 0s;
}

.article p {
  color: var(--primary-color);
  padding: 0 10%;
}
p {
  font-size: 16px;
  margin: 0px;
  line-height: 150%;
  font-family: Karla, sans-serif;
  color: var(--dark-color);
}
.article .about__link {
  color: rgb(17, 17, 17);
}
.quotes-container {
  position: relative;
  top: 80px;
  display: flex;
  -webkit-box-pack: justify;
  justify-content: space-between;
  flex-wrap: wrap;
}
.quote-card,
.quote-card p {
  color: var(--secondary-color);
}
.quote-card {
  position: relative;
  font-size: 12px;
  padding: 20px 20px 30px;
  margin: 20px 10px;
  border-radius: 10px;
  min-width: 200px;
  flex: 1 1 0%;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
}
.skills-icons {
  padding: 30px 0px;
  display: flex;
  justify-content: space-around;
  -webkit-box-align: center;
  align-items: center;
  flex-wrap: wrap;
}
.skills-icons i {
  color: var(--secondary-color);
  width: 100px;
  height: auto;
  font-size: 6em;
}

/* SKILLS*/
.about-skills {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
.skil {
  position: relative;
}
.skill-title {
  margin: 20px auto;
  font-size: 1.4rem;
  font-weight: 900;
  color: var(--primary-color);
  text-align: left;
  letter-spacing: 1px;
}

.skills {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: 2.5rem;
  margin-top: 2rem;
}
.skill {
  align-items: center;
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-bottom: 1rem;
}
.skill img {
  width: 50px;
}
.skill p {
  color: var(--primary-color);
}
/*------------------------*/
.parallax-outer {
  z-index: -1;
}
.parallax-inner {
  transform: translate3d(0%, -285.442px, 0px);
}
.parallax-inner p {
  position: absolute;
  color: rgb(199, 208, 255);
  z-index: -1;
  left: 0px;
  right: 0px;
  font-weight: 900;
  user-select: none;
}
#projects {
  margin-bottom: 100px;
}
.project-container {
  margin: 80px 0px;
}
.project-card {
  display: grid;
  grid-template-columns: 1fr 10px 1fr;
  grid-template-rows: 1fr;
  -webkit-box-align: center;
  align-items: center;
}
.project-details {
  padding: 50px;
  background-color: var(--primary-color);
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  border-radius: 10px;
  min-height: 350px;
  grid-area: 1 / 1 / auto / 3;
}
.project-details h2 {
  text-align: center;
}
.detail-container {
  width: 75%;
}
.detail-container h2 {
  margin-bottom: 25px;
}
.detail-container p {
  line-height: 170%;
  min-height: 250px;
}
.project-links {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  justify-content: flex-start;
  gap: 5%;
  margin: 20px 0px 0px;
}
.project-links a {
  margin-right: 10px;
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  color: rgb(248, 248, 248);
  border: none;
  cursor: pointer;
  transition: all 0.2s ease 0s;
  width: auto;
  height: auto;
  font-size: 12px;
  margin: 0px;
  padding: 12px;
  border-radius: 5px;
}
.project-links .github {
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  color: rgb(248, 248, 248);
  border: none;
  cursor: pointer;
  display: inline-block;
  font-size: 18px;
  text-align: center;
  line-height: 0;
  padding: 10px;
  margin: 0px;
  border-radius: 50%;
  transition: all 0.2s ease 0s;
}
.project-preview {
  grid-area: 1 / 2 / auto / 4;
  position: relative;
  right: -20px;
}
.preview-card {
  position: relative;
  overflow: hidden;
  padding-top: 56.25%;
  background-color: rgb(199, 208, 255);
  border-radius: 10px;
  margin: 50px 0;
}
.preview-card img {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  border: 0px;
}
.language-icons {
  margin: 10px;
  color: rgb(109, 131, 242);
  display: flex;
  font-size: 35px;
  gap: 5%;
  padding: 10px;
}
#contact {
  margin-bottom: 200px;
  height: 100%;
}
.contact-h2 {
  margin: 100px auto;
  font-size: 1.5rem;
  font-weight: 900;
  color: var(--secondary-color);
  text-align: center;
  letter-spacing: 1px;
}
.contact-container {
  width: calc(100% - 30px);
  /* position: relative; */
  display: flex;
  justify-content: space-between;
  height: 400px;
  margin-bottom: 50px;
  margin-top: 150px;
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  /* padding: 20px; */
  border-radius: 10px;
}

.contact-icon,
.contact-icon p,
.contact-icon h3 {
  color: rgb(248, 248, 248);
}
.contact-icon i {
  font-size: 5rem;
}
.contact-icon {
  margin-left: 6%;
  width: fit-content;
  height: 100%;
  display: flex; /* Use flexbox layout */
  flex-direction: column; /* Stack items vertically */
  align-items: center; /* Center items horizontally */
  justify-content: center; /* Center items vertically */
  text-align: center;
}

/* /// Form validation/// */

#small-1,
#small-3,
#small-4 {
  color: red;
}
form {
  /* position: absolute; */
  width: 70%;
  /* top: 0;
  right: -40px; */
  padding: 50px 30px;
  background: var(--form-color);
  border-radius: 10px;
  min-height: 100%; /* Set the minimum height to 100% */
  box-shadow: rgba(0, 0, 0, 0.05) 0px 5px 10px;
  display: grid;
  gap: 10px;
  grid-template-columns: 1fr 1fr;
  grid-template-areas:
    'email name'
    'textarea textarea'
    '. button';
}
.label__email {
  grid-area: email / email / email / email;
}
.label__name {
  grid-area: name / name / name / name;
}
.label__message {
  grid-area: textarea / textarea / textarea / textarea;
}
.submit__btn {
  justify-self: end;
  width: fit-content;
  grid-area: button / button / button / button;
}
.dxFdrJ {
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  color: rgb(248, 248, 248);
  border: none;
  cursor: pointer;
  transition: all 0.2s ease 0s;
  width: auto;
  height: auto;
  font-size: 12px;
  margin: 0px;
  padding: 12px;
  border-radius: 5px;
}
form label span {
  font-size: 0.85em;
  color: var(--form-black);
}
form input,
form textarea {
  padding: 10px 15px;
  border-radius: 5px;
  background-color: rgb(234, 234, 234);
  border: none;
  margin: 10px 0px;
  width: 100%;
}

/*   FOOTER   */
footer {
  width: 100vw;
  padding: 10px;
  background: linear-gradient(
    134deg,
    var(--background-1) 0%,
    var(--background-2) 99%
  );
  text-align: center;
}
.icon-items a {
  color: rgb(248, 248, 248);
}
.icons {
  list-style: none;
  display: flex;
  justify-content: space-between;
  font-size: 200%;
  padding: 2rem 5rem 2rem 5rem; /* Adjust the padding values */
  margin-top: 2rem; /* Adjust the margin-top value */
}
.icon-items:hover {
  transform: scale(1.5);
  transition-duration: 1.5s;
}
.copyright {
  margin: 0 0 5px 0;
  color: rgb(248, 248, 248);
}
.credits {
  font-size: 13px;
  color: rgb(248, 248, 248);
}
.fMGhCo {
  position: absolute;
  background: var(--background-1) 0%;
  transform: skewY(-3deg);
  right: 0px;
  left: 0px;
  width: 100%;
  height: 900px;
  min-height: 500px;
  max-height: 850px;
}

/********** Dark theme **********/

.dark-theme {
  --primary-color: rgb(25, 25, 25);
  --secondary-color: rgb(248, 248, 248);
  --dark-color: rgb(248, 248, 248);
  --form-color: rgb(35, 35, 35);
  --link-hover: white;
  --form-black: rgb(248, 248, 248);
}
